﻿package com.languages
{

	public class Languages
	{
		
		public var lang:Array = new Array();
		
		public function Languages()
		{
			trace("language initiated");
		}
		
		public function init(language:String)
		{
			lang[language] = new Array();
			if (language == "en")
			{
				lang[language]["register"] = "Register";
				lang[language]["googleServices"] = "Google Play Games Services";
				lang[language]["loginContent"] = "Login to access achievements and leaderboards.";
				lang[language]["login"] = "Login";
				lang[language]["guest"] = "Login or play as guest";
				lang[language]["playBtn"] = "Play";
				lang[language]["registerBtn"] = "Register";
				lang[language]["loginBtn"] = "Login";
				lang[language]["logoutBtn"] = "Logout";
				lang[language]["guestBtn"] = "Play as guest";
				lang[language]["removeBtn"] = "Remove";
				lang[language]["createBtn"] = "Create";
				lang[language]["confirmBtn"] = "Confirm";
				lang[language]["passBtn"] = "Pass turn";
				lang[language]["backBtn"] = "Back";
				lang[language]["paBtn"] = "Play again!";
				lang[language]["enterBtn"] = "Enter";
				lang[language]["cancelBtn"] = "Cancel";
				lang[language]["revengeBtn"] = "Revenge?";
				lang[language]["tablesBtn"] = "Tables";
				lang[language]["menuBtn"] = "Main menu";
				lang[language]["guestMsg"] = "Login to access achievements and leaderboards.";
				lang[language]["retry"] = "Retry";
				lang[language]["connecting"] = "Connecting to server...";
				lang[language]["restarting"] = "Restarting...";
				lang[language]["loading"] = "Loading...";
				lang[language]["usernameTaken"] = "Username already exists";
				lang[language]["usernameRegistered"] = "Username registered";
				lang[language]["loginFail"] = "Login failed";
				lang[language]["success"] = "Success";
				lang[language]["uError1"] = "Username has less than 3 characters";
				lang[language]["uError2"] = "Username has more than 15 characters";
				lang[language]["pError1"] = "Password has less than 6 characters";
				lang[language]["coins2"] = "Coins:";
				lang[language]["gWon"] = "Games won:";
				lang[language]["gPlayed"] = "Games played:";
				lang[language]["yourPosition"] = "Your position:";
				lang[language]["regU"] = "Username:";
				lang[language]["regP"] = "Password:";
				
				lang[language]["noPlayAgain"] = "Can not play again!";
				lang[language]["bonus0"] = " bonus"; // check spaces
				lang[language]["bonus1"] = "Played 4 cards at once: "; // check spaces
				lang[language]["bonus2"] = "Skip 4 turns (4 aces): "; // check spaces
				lang[language]["timeBonus1"] = "Next bonus in "; // check spaces
				lang[language]["timeBonus2"] = " min."; // check spaces
				lang[language]["collectBonus1"] = "Collect "; // check spaces
				lang[language]["collectBonus2"] = " bonus"; // check spaces
				lang[language]["won1"] = "You won "; // check spaces
				lang[language]["won2"] = " coins"; // check spaces
				lang[language]["lost1"] = "You lost "; // check spaces
				lang[language]["lost2"] = " coins"; // check spaces
				lang[language]["playAgain"] = "Play again? "; // check spaces
				lang[language]["drawCards1"] = "Draw "; // check spaces
				lang[language]["drawCards2"] = " cards"; // check spaces
				lang[language]["players2"] = "Players:";
				lang[language]["stake2"] = "Stake:";
				lang[language]["password2"] = "Pass:";
				lang[language]["gameProgress"] = "Game in progress...";
				lang[language]["passMsg"] = "Enter password to continue:";
				
				lang[language]["say1"] = "Yeah, sure!";
				lang[language]["say2"] = "Ha, ha!";
				lang[language]["say3"] = "Lucky";
				lang[language]["say4"] = "Unlucky";
				lang[language]["say5"] = "Thank you";
				lang[language]["say6"] = "You're welcome!";
				lang[language]["say7"] = "Go! Go! Go!";
				lang[language]["say8"] = "Nice win";
				lang[language]["say9"] = "LOL";
				lang[language]["say10"] = "It's my turn to win";
				lang[language]["say11"] = "I'm too good for this game";
				lang[language]["say12"] = "Are you ready to lose?";
				lang[language]["say13"] = "This one is mine";
				lang[language]["say14"] = "I like to lose";
				lang[language]["say15"] = "You're good";
				lang[language]["say16"] = "You wish!";
				lang[language]["say17"] = "Who's laughing now? Ha, ha!";
				lang[language]["say18"] = "Good luck!";
				
				lang[language]["achiBtn"] = "Achievements";
				lang[language]["leadBtn"] = "Leaderboards";
				
			}
			
			if (language == "ro")
			{
				lang[language]["googleServices"] = "Servicii Jocuri Google Play";
				lang[language]["loginContent"] = "Intra in contul Google pentru a avea acces la clasamente si realizari.";
				lang[language]["register"] = "Cont nou";
				lang[language]["login"] = "Intra in cont";
				lang[language]["guest"] = "Intra in cont sau joaca fara cont";
				lang[language]["playBtn"] = "Joaca";
				lang[language]["registerBtn"] = "Cont nou";
				lang[language]["loginBtn"] = "Login";
				lang[language]["logoutBtn"] = "Iesi";
				lang[language]["guestBtn"] = "Joc fara cont";
				lang[language]["removeBtn"] = "Sterge";
				lang[language]["createBtn"] = "Creaza";
				lang[language]["confirmBtn"] = "Confirma";
				lang[language]["passBtn"] = "Stau tura";
				lang[language]["backBtn"] = "Inapoi";
				lang[language]["paBtn"] = "Joc nou!";
				lang[language]["enterBtn"] = "Intra";
				lang[language]["cancelBtn"] = "Anuleaza";
				lang[language]["revengeBtn"] = "Revansa?";
				lang[language]["tablesBtn"] = "Mese";
				lang[language]["menuBtn"] = "Meniu";
				lang[language]["guestMsg"] = "Intra in contul Google pentru a avea acces la clasamente si realizari.";
				lang[language]["retry"] = "Reincearca";
				lang[language]["connecting"] = "Se conecteaza...";
				lang[language]["restarting"] = "Pregatire joc...";
				lang[language]["loading"] = "Se incarca...";
				lang[language]["usernameTaken"] = "Acest nume exista deja";
				lang[language]["usernameRegistered"] = "Utilizator inregistra";
				lang[language]["loginFail"] = "Login esuat";
				lang[language]["success"] = "Succes";
				lang[language]["uError1"] = "!Numele are mai putin de 3 caractere";
				lang[language]["uError2"] = "!Numele are peste 15 caractere";
				lang[language]["pError1"] = "!Parola are mai putin de 6 caractere";
				lang[language]["coins2"] = "Fise:";
				lang[language]["gWon"] = "Victorii:";
				lang[language]["gPlayed"] = "Jocuri:";
				lang[language]["yourPosition"] = "Pozitia ta:";
				lang[language]["regU"] = "Nume:";
				lang[language]["regP"] = "Parola:";
				
				lang[language]["noPlayAgain"] = "Nu se poate rejuca!";
				lang[language]["bonus0"] = " bonus"; // check spaces
				lang[language]["bonus1"] = "Ai jucat 4 carti simultan: "; // check spaces
				lang[language]["bonus2"] = "Stai 4 ture (4 asi): "; // check spaces
				lang[language]["timeBonus1"] = "Urm. bonus in "; // check spaces
				lang[language]["timeBonus2"] = " min."; // check spaces
				lang[language]["collectBonus1"] = "Colecteaza "; // check spaces
				lang[language]["collectBonus2"] = " bonus"; // check spaces
				lang[language]["won1"] = "Ai castigat "; // check spaces
				lang[language]["won2"] = " fise"; // check spaces
				lang[language]["lost1"] = "Ai pierdut "; // check spaces
				lang[language]["lost2"] = " fise"; // check spaces
				lang[language]["playAgain"] = "Joc nou? "; // check spaces
				lang[language]["drawCards1"] = "Umfla "; // check spaces
				lang[language]["drawCards2"] = " carti"; // check spaces
				lang[language]["players2"] = "Jucatori:";
				lang[language]["stake2"] = "Miza:";
				lang[language]["password2"] = "Parola:";
				lang[language]["gameProgress"] = "Joc in progres...";
				lang[language]["passMsg"] = "Introdu parola:";
				
				lang[language]["say1"] = "Da, sigur!";
				lang[language]["say2"] = "Ha, ha!";
				lang[language]["say3"] = "Ce noroc!";
				lang[language]["say4"] = "Ghinion";
				lang[language]["say5"] = "Multumesc";
				lang[language]["say6"] = "Cu placere";
				lang[language]["say7"] = "Haide!";
				lang[language]["say8"] = "Frumos joc";
				lang[language]["say9"] = "LOL";
				lang[language]["say10"] = "E randul meu sa castig";
				lang[language]["say11"] = "Sunt prea bun pentru acest joc";
				lang[language]["say12"] = "Esti pregatit sa pierzi?";
				lang[language]["say13"] = "O sa castig jocul acesta";
				lang[language]["say14"] = "Imi place sa pierd";
				lang[language]["say15"] = "Te pricepi...";
				lang[language]["say16"] = "Ai vrea tu";
				lang[language]["say17"] = "Cine rade la urma rade mai bine";
				lang[language]["say18"] = "Succes";
				
				lang[language]["achiBtn"] = "Realizari";
				lang[language]["leadBtn"] = "Clasamente";
			}
		}
		
	}

}